## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class SetProxy<U>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy<U,Set<U>>
          org.hibernate.envers.entities.mapper.relation.lazy.proxy.SetProxy<U>

All Implemented Interfaces:
  Serializable, Iterable<U>, Collection<U>, Set<U>

    public class SetProxy<U>

extends CollectionProxy<U,Set<U>>
implements Set<U>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`delegate`

Constructor Summary
`SetProxy()`
`SetProxy(Initializor<Set<U>> initializor)`

Method Summary

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`add, addAll, checkInit, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SetProxy

    public SetProxy()

### SetProxy

    public SetProxy(Initializor<Set<U>> initializor)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.